## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget
Interface IETypedElementWidget<C extends EObject,CW>

All Superinterfaces:
  IENamedElementWidget<C,CW>

All Known Subinterfaces:
  IDerivedTypedElementWidget, IEStructuralFeatureWidget

    public interface IETypedElementWidget<C extends EObject,CW>

extends IENamedElementWidget<C,CW>

Method Summary
`java.lang.String` `getElementTypeName()`
`EClassifier` `getEType()`
`int` `getLowerBound()`
`int` `getUpperBound()`
`boolean` `isOrdered()`
`boolean` `isUnique()`
`<any>` `pressTypeButton()` Press the button to select the type.
`void` `setEType(EClassifier value)`
`void` `setLowerBound(int value)`
`void` `setOrdered(boolean value)`
`void` `setUnique(boolean value)`
`void` `setUpperBound(int value)`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IENamedElementWidget
`getContainer, getElementName, pressParentButton, setName`

Method Detail

### isOrdered

    boolean isOrdered()

### setOrdered

    void setOrdered(boolean value)

### isUnique

    boolean isUnique()

### setUnique

    void setUnique(boolean value)

### getLowerBound

    int getLowerBound()

### setLowerBound

    void setLowerBound(int value)

### getUpperBound

    int getUpperBound()

### setUpperBound

    void setUpperBound(int value)

### getEType

    EClassifier getEType()

### setEType

    void setEType(EClassifier value)

### pressTypeButton

    <any> pressTypeButton()

  Press the button to select the type.

### getElementTypeName

    java.lang.String getElementTypeName()

  Returns:
    the type of the element.